
/* DEFS: group RandCentLB: CentralLB{
void RandCentLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_RandCentLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_RandCentLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void RandCentLB(void);
*/
      __idx_RandCentLB_void = CkRegisterEp("RandCentLB", (CkCallFnPtr)_call_RandCentLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void RandCentLB(void);
 */
int CProxy_RandCentLB::__idx_RandCentLB_void=0;
CkGroupID CProxy_RandCentLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_RandCentLB_void, msg, 0, 0);
}
CkGroupID CProxy_RandCentLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_RandCentLB_void, msg);
}
  CProxy_RandCentLB::CProxy_RandCentLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RandCentLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_RandCentLB::CProxy_RandCentLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RandCentLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_RandCentLB::_call_RandCentLB_void(void* msg, RandCentLB* obj)
{
  new (obj) RandCentLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerRandCentLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group RandCentLB: CentralLB{
void RandCentLB(void);
};
*/
  CProxy_RandCentLB::__register("RandCentLB", sizeof(RandCentLB));

}
#endif
